Lavalite package that provides board_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/board_setting`.

    "litecms/board_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\BoardSetting\Providers\BoardSettingServiceProvider::class,

And also add it to alias

    'BoardSetting'  => Litecms\BoardSetting\Facades\BoardSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\BoardSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\BoardSetting\Providers\BoardSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\BoardSetting\Providers\BoardSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\BoardSetting\Providers\BoardSettingServiceProvider" --tag="view"


## Usage


