<?php

namespace Litecms\BoardSetting\Repositories\Eloquent;

use Litecms\BoardSetting\Interfaces\BoardSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class BoardSettingRepository extends BaseRepository implements BoardSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.board_setting.board_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.board_setting.board_setting.model.model');
    }
}
