<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBoardSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: board_settings
         */
        Schema::create('board_settings', function ($table) {
            $table->increments('id');
            $table->decimal('sponsor_bonus', 50)->nullable();
            $table->tinyInteger('sponsor_condition')->nullable();
            $table->tinyInteger('sponsor_bonus_type')->nullable();
            $table->tinyInteger('sponsor_bonus_status ')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('board_settings');
    }
}
