<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for board_setting in board_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  board_setting module in board_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'BoardSetting',
    'names'         => 'BoardSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'BoardSettings',
        'sub'   => 'BoardSettings',
        'list'  => 'List of board_settings',
        'edit'  => 'Edit board_setting',
        'create'    => 'Create new board_setting'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'sponsor_bonus'              => 'Sponsor Bonus',
        'sponsor_condition'          => 'Sponsor Condition',
        'sponsor_bonus_type'         => 'Sponsor Bonus Type',
        'sponsor_bonus_status '        => 'Sponser Bonus Status ',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'sponsor_bonus'              => 'Sponsor Bonus',
        'sponsor_condition'          => 'Sponsor Condition',
        'sponsor_bonus_type'         => 'Sponsor Bonus Type',
        'sponsor_bonus_status '        => 'Sponser Bonus Status ',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'sponsor_bonus'              => ['name' => 'Sponsor Bonus', 'data-column' => 1, 'checked'],
        'sponsor_condition'          => ['name' => 'Sponsor Condition', 'data-column' => 2, 'checked'],
        'sponsor_bonus_type'         => ['name' => 'Sponsor Bonus Type', 'data-column' => 3, 'checked'],
        'sponsor_bonus_status '        => ['name' => 'Sponser Bonus Status ', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'BoardSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
